function classout = kn_class(net, ins, how);
% CLASSOUT = KN_CLASS (NET, INS, HOW)
% try to classify each node in trained NET
% INS is input data set; a matrix, last column being output class
% HOW = 0 if do by finding output as max of sigmoid(input*weighs)
%     = 1 if do by finding node nearest input
% Dr Richard Mitchell 15/08/03
if nargin<3, how = 0; end                   % if not specified set to finding max
classout = zeros(size(net,1), size(net,2)); % output is zero matrix of size of net  
netout = classout;                          % output of one instance
for ct = 1:size(ins,1)
    netout = kn_output (net, ins(ct,:), how);       % get output as sigmoid(weighted input)
                                                    % or distance^2 from input
    if how==0                                       % now get index of all those nodes ...
        mndx = find(netout>=0.99*max(max(netout))); % > 99% of max output
    else
        mndx = find(netout<=5*min(min(netout)));    % < 5 * min distance
    end
    incl = ins(ct,size(ins,2));                     % known output class of input
    for mct=1:length(mndx)                          % for all selected nodes
        if classout(mndx(mct))==0
            classout(mndx(mct))=incl;               % change 0 to class
        elseif classout(mndx(mct))~=incl
            classout(mndx(mct)) = -1;               % change NOTclass to clash
        end
    end
end

