function net = kn_learn(net, ins, neigh, lrate);
% NET = KN_LEARN (NET, INS, NEIGH, LRATE);
% present input INS to network NET, find nearest node
% adjust all nodes in neighbourhood NEIGH by given learning rate LRATE
% NET is r*c*w array - r rows c cols and w weights
% Dr Richard Mitchell 15/08/03
dist = kn_output (net, ins, 1);
    % find (square of) distance between each node and the input
node = find(dist == min(min(dist)));
    % find node with smallest distance
    % next find node's row and col
col = 1 + floor((node-1) / size(net,1));
row = 1 + rem(node-1, size(net,1));
    % now adjust nodes in neighbourhood
for r = row-neigh : row+neigh
    if r >= 1 & r <= size(net, 1)
        for c = col-neigh : col+neigh
            if c >= 1 & c <= size(net, 2)
                net = change (net, r, c, ins, lrate);
            end
        end
    end
end

function net = change (net, row, col, ins, lrate);
% change net(row,col) according to input ins and learning rate lrate
for ct=1:size(net,3),         % for each weight, find error and adjust by it
    net(row, col, ct) = net (row, col, ct) + lrate * (ins(ct) - net (row, col, ct));
end

