function netout = kn_output(net, ins, how);
% NETOUT = KN_OUTPUT (NET, INS, HOW)
% Computer output of NET for given input INS
% HOW = 0, Output = Sigmoid(Weighted Sum of INS)
%     = 1, Output = Distance(Squared) of each Weight from INS
% Dr Richard Mitchell 15/08/03
netout=zeros(size(net,1), size(net,2));
if nargin == 2 | how == 0
    for d=1:size(net, 3)
       netout = netout + net(:,:,d) * ins(d);
    end
    netout = 1 ./ (1 + exp(-netout));
else
    for d=1:size(net,3) 
       netout = netout + (net(:,:,d) - ins(d)).^2; 
    end
end

