function c = makecluster (n, sz, org);
% c = makecluster (n, sz, org)
% makes cluster of n random numbers in range 0..sz, offset by org
%if n, sz and org have same number of columns = m, makes m clusters
% Dr Richard Mitchell, 11.10.01, multi clusters added 10.1.02
if length(n)==1
    c = domakecluster(n,sz,org);
else
    for ct=1:length(n)
        c{ct}=domakecluster(n(ct),sz(ct),org(ct,:));
    end
end;

function c = domakecluster (n, sz, org);
c=rand(n,size(org,2))*sz;
for ct=1:n
   c(ct,:) = c(ct,:)+(org-sz/2);
end;
