function [ans, houts] = rbf_calc (rbfnet, input)
% ANS = RBF_CALC (RBFNET, INPUT)
% Calculate output of RBF network for given INPUT
% RNFNET is a struct with three fields
%   CENTRES each row of matrix are centres for one neuron
%   RADIUS square of radius (of Gaussian basis function) for each neuron
%   WEIGHTS the weights (including bias) for OUTPUT
% Dr Richard Mitchell 31/07/03
houts = [1];                % 'input' to bias is 1
for ct=1:size(rbfnet.centres,2)
    distsq = sum((input'-rbfnet.centres(:,ct)).^2);
    houts = [houts, exp(-distsq/(2*rbfnet.radius(ct)))];
end
ans = dot(houts, rbfnet.weights);
